add firmware and topology file for sound sof driver [cml/cnl]

Bug #1833405 reported by Hui Wang on 2019-06-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Hui Wang
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Hui Wang

Bug Description

[Impact]
We have a couple dell and lenovo laptops which have dmic directly connected
to PCH, this needs intel sof driver to work, and intel sof driver is merged
oem-osp1-b kernel and it needs to load firmware and topology file to work.

[Fix]
Intel provides two binary files to us, one is firmware, the other is
topology file, these two files are built from
https://github.com/thesofproject/sof.git, and the license is BSD 3.

[Test Case]
put the firmware and topology to rootfs and boot with the oem-osp1-b
kernel on those machines, the sof driver works well.

[Regression Risk]
Low. just adding two new binary files, no change to existing files.

Hui Wang (hui.wang) on 2019-06-19
description: updated
tags: added: oem-priority originate-from-1821270 somerville
Rex Tsai (chihchun) wrote :

New firmware has been proposed on mailing list. https://patchwork.ozlabs.org/patch/1119327/

Seth Forshee (sforshee) on 2019-06-24
Changed in linux-firmware (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Disco):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Eoan):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Cosmic):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.1 KiB)

This bug was fixed in the package linux-firmware - 1.180

---------------
linux-firmware (1.180) eoan; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    7ae3a09dcc7581da3fcc6c578429b89e2764a684
    - nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.10.A.23
    - linux-firmware: update Marvell 8797/8997 firmware images
    - mediatek: update MT8173 VPU firmware to v1.1.2
    - linux-firmware: add firmware for MT7615E
    - linux-firmware: Update NXP Management Complex firmware to version 10.14.3
    - cxgb4: update firmware to revision 1.23.4.0
    - linux-firmware: Add firmware file for Intel Bluetooth 22161
    - drm/i915/firmware: Add BXT GuC v32.0.3
    - drm/i915/firmware: Add SKL GuC v32.0.3
    - drm/i915/firmware: Add KBL GuC v32.0.3
    - drm/i915/firmware: Add GLK GuC v32.0.3
    - drm/i915/firmware: Add GLK HuC v03.01.2893
    - drm/i915/firmware: Add ICL GuC v32.0.3
    - drm/i915/firmware: Add ICL HuC v8.4.3238
    - Mellanox: Add new mlxsw_spectrum firmware 13.2000.1122
    - linux-firmware: update fw for qat devices
    - amdgpu: update picasso to the latest 19.10 firmware
    - amdgpu: update raven to the latest 19.10 firmware
    - amdgpu: update raven2 to the latest 19.10 firmware
    - amdgpu: update polaris10 to the latest 19.10 firmware
    - amdgpu: update polaris11 to the latest 19.10 firmware
    - amdgpu: update vega10 to the latest 19.10 firmware
    - amdgpu: update vega12 to the latest 19.10 firmware
    - amdgpu: update vega20 to the latest 19.10 firmware
    - iwlwifi: add -46.ucode firmwares for 9000 series
    - iwlwifi: add firmware for 22260 and update 9000 series -46 firmwares
    - iwlwifi: update -46 firmwares for 22260 and 9000 series
    - amlogic: add video decoder firmwares
    - linux-firmware: Update firmware file for Intel Bluetooth 22161
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - nvidia: update GP10[2467] SEC2 RTOS with the one already used on GP108
    - imx: sdma: update firmware to v3.5/v4.5
    - linux-firmware: rsi: update firmware images for Redpine 9113 chipset
    - linux-firmware: update firmware for mhdp8546
    - linux-firmware: update licence text for Marvell firmware
    - linux-firmware: Update AMD SEV firmware
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 22161
    - cavium: Add firmware for CNN55XX crypto driver.
    - iwlwifi: udpate -36 firmware for 8000 series
    - iwlwifi: update Core45 FWs for 22260, 9000 and 9260
    - iwlwifi: update FWs for 9000 series to Core45-96
    - iwlwifi: update FW for 22000 to Core45-96
    - iwlwifi: add new firmwares for integrated 22000 series

  * add firmware and topology file for sound sof driver [cml/cnl]
    (LP: #1833405)
    - SAUCE: add firmware and topology for cml/cnl sof driver

 -- Seth Forshee <email address hidden> Mon, 24 Jun 2019 07:29:39 ...

Read more...

Changed in linux-firmware (Ubuntu Eoan):
status: Fix Committed → Fix Released

Hello Hui, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello Hui, or anyone else affected,

Accepted linux-firmware into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.175.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello Hui, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Hui Wang (hui.wang) wrote :

I compared the md5sum of the file with the original one provided by Intel, it is same.

Timo Aaltonen (tjaalton) on 2019-06-27
tags: added: verification-needed-bionic verification-needed-cosmic verification-needed-disco
Hui Wang (hui.wang) on 2019-07-02
tags: added: verification-done-bionic verification-done-cosmic verification-done-disco
removed: verification-needed-bionic verification-needed-cosmic verification-needed-disco

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.8

---------------
linux-firmware (1.173.8) bionic; urgency=medium

  * add firmware and topology file for sound sof driver [cml/cnl]
    (LP: #1833405)
    - SAUCE: add firmware and topology for cml/cnl sof driver

  * Intel WiFi (CNVi) module has no function on Comet Lake [8086:02f0]
    (LP: #1833065)
    - iwlwifi: add new firmwares for integrated 22000 series

linux-firmware (1.173.7) bionic; urgency=medium

  * Add Intel CyclonePeak wifi firmware (LP: #1828133)
    - iwlwifi: add firmware for 22260 and update 9000 series -46 firmwares
    - iwlwifi: update -46 firmwares for 22260 and 9000 series

  * Bluetooth: hci0: request failed to create LE connection: status 0x0c
    (LP: #1829737)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * Add firmware for RTL8822BE and RTL8822CE (LP: #1831833)
    - rtw88: Add firmware file for driver rtw88
    - rtw88: RTL8822C: update rtw8822c_fw.bin to v5.0

 -- Seth Forshee <email address hidden> Mon, 24 Jun 2019 15:56:43 -0500

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.175.6

---------------
linux-firmware (1.175.6) cosmic; urgency=medium

  * add firmware and topology file for sound sof driver [cml/cnl]
    (LP: #1833405)
    - SAUCE: add firmware and topology for cml/cnl sof driver

  * Intel WiFi (CNVi) module has no function on Comet Lake [8086:02f0]
    (LP: #1833065)
    - iwlwifi: add new firmwares for integrated 22000 series

linux-firmware (1.175.5) cosmic; urgency=medium

  * Add firmware for RTL8822BE and RTL8822CE (LP: #1831833)
    - rtw88: Add firmware file for driver rtw88
    - rtw88: RTL8822C: update rtw8822c_fw.bin to v5.0

 -- Seth Forshee <email address hidden> Mon, 24 Jun 2019 15:41:51 -0500

Changed in linux-firmware (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.178.2

---------------
linux-firmware (1.178.2) disco; urgency=medium

  * add firmware and topology file for sound sof driver [cml/cnl]
    (LP: #1833405)
    - SAUCE: add firmware and topology for cml/cnl sof driver

  * Intel WiFi (CNVi) module has no function on Comet Lake [8086:02f0]
    (LP: #1833065)
    - iwlwifi: add new firmwares for integrated 22000 series

 -- Seth Forshee <email address hidden> Mon, 24 Jun 2019 15:14:07 -0500

Changed in linux-firmware (Ubuntu Disco):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers